mapMeridians {oce} | R Documentation

## Add Meridians on a Map [deprecated]

### Description

WARNING: This function will be removed soon; see oce-deprecated. Use `mapGrid` instead of the present function.

### Usage

    mapMeridians(latitude, lty = "solid", lwd = 0.5 * par("lwd"),
      col = "darkgray", ...)

### Arguments

`latitude` | either a logical value indicating whether to draw a meridian grid, or a vector of latitudes at which to draw meridians.
`lty` | line type.
`lwd` | line width.
`col` | line colour.
`...` | optional arguments passed to `lines`.

### Details

Plot meridians (lines of constant latitude) on an existing map.

Meridians that will not fit in the plotting space are ignored.

### Bugs

This should use `approx` to fill in multiple segments within the line, so that e.g. great circle lines will be curved.

### Author(s)

Dan Kelley

### See Also

A map must first have been created with `mapPlot`.

Other functions that will be removed soon: `addColumn`, `ctdAddColumn`, `ctdUpdateHeader`, `mapZones`

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    longitude <- coastlineWorld[['longitude']]
    latitude <- coastlineWorld[['latitude']]
    mapPlot(longitude, latitude, type='l',
    longitudelim=c(-130,-50), latitudelim=c(30,60),
    proj="polyconic", orientation=c(90, -90, 0))
    mapMeridians()

    ## End(Not run)

[Package oce version 0.9-20 Index]